local GetKingdomPositionsMessage = BaseClass("GetKingdomPositionsMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self, serverId)
  base.OnCreate(self)
  self.sfsObj:PutInt("serverId", serverId)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  DataCenter.GovernmentManager:GetKingdomPositionsHandler(t)
end
GetKingdomPositionsMessage.OnCreate = OnCreate
GetKingdomPositionsMessage.HandleMessage = HandleMessage
return GetKingdomPositionsMessage
